<?php
session_start();
  $rut=$_SESSION['rut'];
  $cliente=$_SESSION['cliente'];

require_once "nusoap/lib/nusoap.php";
include '../conexion/conn.php';

$ca_cajas_fotos_nuevas="INSERT INTO `contenedor_fotos`(`folio_planilla`, `nombre_foto_archivo`, `nombre_foto_titulo`, `orden`, `calidad_baja`, `sincro`) VALUES";
$rs3 = mysql_query("SELECT * FROM contenedor_fotos WHERE sincro='Nunca'");
$i=0;
while($row3 = mysql_fetch_array($rs3)){
	if($i==0){
		$ca_cajas_fotos_nuevas.="('".$row3['folio_planilla']."', '".$row3['nombre_foto_archivo']."', '".$row3['nombre_foto_titulo']."', '".$row3['orden']."', '".$row3['calidad_baja']."', 'S')";
	}else{
		$ca_cajas_fotos_nuevas.=", ('".$row3['folio_planilla']."', '".$row3['nombre_foto_archivo']."', '".$row3['nombre_foto_titulo']."', '".$row3['orden']."', '".$row3['calidad_baja']."', 'S')";
	}
	$i++;
    
}
$ca_cajas_fotos_nuevas.=";";
$rs3 = mysql_query("SELECT * FROM contenedor_fotos WHERE sincro='Nunca'");
if($row3 = mysql_fetch_array($rs3)){
	
}else{
	$ca_cajas_fotos_nuevas="";
}

$ca_cajas_fotos_editar="INSERT INTO `contenedor_fotos`(`folio_planilla`, `nombre_foto_archivo`, `nombre_foto_titulo`, `orden`, `calidad_baja`, `sincro`) VALUES";
$cal_cajas_editar_borrar="DELETE FROM `contenedor_fotos`";
$rs3 = mysql_query("SELECT * FROM contenedor_fotos WHERE sincro='E' OR sincro='N'");
$i=0;
while($row3 = mysql_fetch_array($rs3)){
	if($i==0){
		$cal_cajas_editar_borrar.=" WHERE (nombre_foto_archivo='".$row3['nombre_foto_archivo']."' AND folio_planilla='".$row3['folio_planilla']."')";
		$ca_cajas_fotos_editar.="('".$row3['folio_planilla']."', '".$row3['nombre_foto_archivo']."', '".$row3['nombre_foto_titulo']."', '".$row3['orden']."', '".$row3['calidad_baja']."', 'S')";
	}else{
		$cal_cajas_editar_borrar.=" OR (nombre_foto_archivo='".$row3['nombre_foto_archivo']."' AND folio_planilla='".$row3['folio_planilla']."')";
		$ca_cajas_fotos_editar.=", ('".$row3['folio_planilla']."', '".$row3['nombre_foto_archivo']."', '".$row3['nombre_foto_titulo']."', '".$row3['orden']."', '".$row3['calidad_baja']."', 'S')";
	}
	$i++;
    
}
$ca_cajas_fotos_editar.=";";
$cal_cajas_editar_borrar.=";";
$rs3 = mysql_query("SELECT * FROM contenedor_fotos WHERE sincro='E' OR sincro='N'");
if($row3 = mysql_fetch_array($rs3)){
	
}else{
	$ca_cajas_fotos_editar="";
	$cal_cajas_editar_borrar="";
}


$rs3 = mysql_query("SELECT * FROM sys_detalle_cliente_programas WHERE cliente_id='RB' AND programa_id='1'");
while($row3 = mysql_fetch_array($rs3)){
	$link_sincro_fotos=$row3['link_sincro_fotos'];
}

$fotos_nuevas=array();
$fotos_nuevas_editar=array();
$fotos_nuevas_enviar=array();
$cliente_web = new nusoap_client($link_sincro_fotos);
//echo $cliente_web;


//INSERTAR PLANILLAS
		// $fotos_nuevas=$cliente_web->call("guardar_cal_cajas_fotos_conte" , array("ca_cajas_fotos_nuevas"=>$ca_cajas_fotos_nuevas));	
		
		//echo $planilla_nuevas."<br/>";	//debuelve id_fotos
				

// if($fotos_nuevas=="bien"){
// 			$sql = "UPDATE contenedor_fotos SET  
// 			sincro='S'
// 			WHERE sincro='N'";
// 			$result = @mysql_query($sql);
// 			if ($result){
// 				echo $fotos_nuevas;
// 			} else {
// 				echo "Se Han Producido Errores";
// 			}	
// }else{

// }

//EDITAR PLANILLAS
$fotos_nuevas_editar=$cliente_web->call("editar_cal_cajas_fotos_conte" , array("ca_cajas_fotos_editar"=>$ca_cajas_fotos_editar, "cal_cajas_editar_borrar"=>$cal_cajas_editar_borrar));	
		
		//echo $planilla_nuevas."<br/>";	//debuelve id_fotos
				

if($fotos_nuevas_editar=="bien"){
			$sql = "UPDATE contenedor_fotos SET  
			sincro='S'
			WHERE sincro='E' OR sincro='N'";
			$result = @mysql_query($sql);
			if ($result){
				echo $fotos_nuevas_editar;
			} else {
				echo "Se Han Producido Errores";
			}	
}else{

}

$sql = "UPDATE cal_fotos SET content=''";
$result = @mysql_query($sql);


//ENVIAR FOTOS
$ruta="../contenedores/Ingreso/image";
$rs = mysql_query("SELECT * FROM cal_fotos where sincro='N'");
	while($row = mysql_fetch_array($rs)){
		//echo $row['pi_folio'];


		$imagen=$ruta . "/" . $row['cliente_id']. "/" . $row['name']; 
      $imagen_final=$imagen;
      $ancho_nuevo=640; 
      $alto_nuevo=480; 
      redim ($imagen,$imagen_final,$ancho_nuevo,$alto_nuevo); 
      $imagen_content = base64_encode(file_get_contents($imagen));

		$fotos_nuevas_enviar=$cliente_web->call("guardar_fotos_base_conte" , array("id_fotos"=>$row['id_fotos'], "content"=>$imagen_content, "cliente_id"=>$row['cliente_id'], "name"=>$row['name']));	
		
		//echo $planillas;	//debuelve id_fotos
				
		$sql = "UPDATE cal_fotos SET  
		sincro='S'
		WHERE id_fotos='".$fotos_nuevas_enviar."'";
		$result = @mysql_query($sql);
		if ($result){
			echo $row['name']."Fotos Subida<br/>";
		} else {
			echo "Se Han Producido Errores";
		}	
	}


	function redim($ruta1,$ruta2,$ancho,$alto) 
    { 

    # se obtene la dimension y tipo de imagen 
    $datos=getimagesize ($ruta1); 
     
    $ancho_orig = $datos[0]; # Anchura de la imagen original 
    $alto_orig = $datos[1];    # Altura de la imagen original 
    $tipo = $datos[2]; 
     
    if ($tipo==1){ # GIF 
        if (function_exists("imagecreatefromgif")) 
            $img = imagecreatefromgif($ruta1); 
        else 
            return false; 
    } 
    else if ($tipo==2){ # JPG 
        if (function_exists("imagecreatefromjpeg")) 
            $img = imagecreatefromjpeg($ruta1); 
        else 
            return false; 
    } 
    else if ($tipo==3){ # PNG 
        if (function_exists("imagecreatefrompng")) 
            $img = imagecreatefrompng($ruta1); 
        else 
            return false; 
    } 
     
    # Se calculan las nuevas dimensiones de la imagen 
    if ($ancho_orig>$alto_orig) 
        { 
        $ancho_dest=$ancho; 
        $alto_dest=($ancho_dest/$ancho_orig)*$alto_orig; 
        } 
    else 
        { 
        $alto_dest=$alto; 
        $ancho_dest=($alto_dest/$alto_orig)*$ancho_orig; 
        } 

    // imagecreatetruecolor, solo estan en G.D. 2.0.1 con PHP 4.0.6+ 
    $img2=@imagecreatetruecolor($ancho_dest,$alto_dest) or $img2=imagecreate($ancho_dest,$alto_dest); 

    // Redimensionar 
    // imagecopyresampled, solo estan en G.D. 2.0.1 con PHP 4.0.6+ 
    @imagecopyresampled($img2,$img,0,0,0,0,$ancho_dest,$alto_dest,$ancho_orig,$alto_orig) or imagecopyresized($img2,$img,0,0,0,0,$ancho_dest,$alto_dest,$ancho_orig,$alto_orig); 

    // Crear fichero nuevo, según extensión. 
    if ($tipo==1) // GIF 
        if (function_exists("imagegif")) 
            imagegif($img2, $ruta2); 
        else 
            return false; 

    if ($tipo==2) // JPG 
        if (function_exists("imagejpeg")) 
            imagejpeg($img2, $ruta2); 
        else 
            return false; 

    if ($tipo==3)  // PNG 
        if (function_exists("imagepng")) 
            imagepng($img2, $ruta2); 
        else 
            return false; 
     
    return true; 
    } 

?>